<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto" >

    <data >

        <import type="com.quansu.heifengwuliu.utils.MUiSwitch" />

        <variable
            name="vm"
            type="com.quansu.heifengwuliu.vmodel.PrivateCenterVModel" />

    </data >

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/color_page_bg"
        android:fitsSystemWindows="true"
        android:orientation="vertical" >

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="150dp"
            android:layout_marginBottom="12dp"
            android:background="@color/colorPrimary"
            android:gravity="center"
            android:orientation="vertical"
            android:paddingTop="12dp" >

            <com.qmuiteam.qmui.widget.QMUIRadiusImageView
                android:id="@+id/img_avatar"
                android:layout_width="75dp"
                android:layout_height="75dp"
                android:onClick="@{v-> vm.user==null?vm.view().toLogin():null}"
                android:padding="@dimen/dp_4"
                android:src="@mipmap/ic_launcher"
                app:qmui_is_circle="true"
                app:url="@{vm.user.avatar()}" />

            <TextView
                android:id="@+id/tv_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="6dp"
                android:onClick="@{v-> vm.user==null?vm.view().toLogin():null}"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_16" />

        </LinearLayout >

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical" >

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1"
                android:orientation="vertical" >

                <RelativeLayout
                    android:id="@+id/lay_ab"
                    android:layout_width="match_parent"
                    android:layout_height="48dp"
                    android:background="@color/white"

                    android:paddingStart="@dimen/dp_14"
                    android:visibility="gone" >

                    <ImageView
                        android:id="@+id/img_icon13"
                        android:layout_width="30dp"
                        android:layout_height="30dp"
                        android:layout_centerVertical="true"
                        android:padding="-4dp"
                        android:src="@drawable/ic_ab" />

                    <TextView
                        android:id="@+id/tv_title13"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="@dimen/dp_10"
                        android:layout_toRightOf="@id/img_icon13"
                        android:gravity="center_vertical"
                        android:text="@string/arrange_storage"
                        android:textColor="@color/primary_text"
                        android:textSize="@dimen/sp_16" />

                    <ImageView
                        android:layout_width="30dp"
                        android:layout_height="30dp"
                        android:layout_alignParentRight="true"
                        android:layout_centerVertical="true"
                        android:layout_marginRight="@dimen/dp_14"
                        android:padding="@dimen/dp_6"
                        android:src="@drawable/ic_arrow_right" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:layout_alignLeft="@id/tv_title13"
                        android:layout_alignParentBottom="true"
                        android:background="@color/color_page_bg" />

                </RelativeLayout >

                <RelativeLayout
                    android:id="@+id/lay_note"

                    android:layout_width="match_parent"
                    android:layout_height="48dp"
                    android:background="@color/white"
                    android:paddingStart="@dimen/dp_14"
                    android:visibility="gone" >

                    <ImageView
                        android:id="@+id/img_icon3"
                        android:layout_width="30dp"
                        android:layout_height="30dp"
                        android:layout_centerVertical="true"
                        android:padding="3.5dp"
                        android:src="@drawable/ic_note" />

                    <TextView
                        android:id="@+id/tv_title3"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="@dimen/dp_10"
                        android:layout_toRightOf="@id/img_icon3"
                        android:gravity="center_vertical"
                        android:text="@string/todo_list"
                        android:textColor="@color/primary_text"
                        android:textSize="@dimen/sp_16" />

                    <ImageView
                        android:layout_width="30dp"
                        android:layout_height="30dp"
                        android:layout_alignParentRight="true"
                        android:layout_centerVertical="true"
                        android:layout_marginRight="@dimen/dp_14"
                        android:padding="@dimen/dp_6"
                        android:src="@drawable/ic_arrow_right" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:layout_alignLeft="@id/tv_title3"
                        android:layout_alignParentBottom="true"
                        android:background="@color/color_page_bg" />

                </RelativeLayout >

                <RelativeLayout
                    android:id="@+id/lay_settings"
                    android:layout_width="match_parent"
                    android:layout_height="48dp"
                    android:background="@color/white"
                    android:paddingStart="@dimen/dp_14"
                    android:visibility="gone" >

                    <ImageView
                        android:id="@+id/img_icon1"
                        android:layout_width="30dp"
                        android:layout_height="30dp"
                        android:layout_centerVertical="true"
                        android:padding="1dp"
                        android:src="@drawable/ic_private_settings" />

                    <TextView
                        android:id="@+id/tv_title1"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="@dimen/dp_10"
                        android:layout_toRightOf="@id/img_icon1"
                        android:gravity="center_vertical"
                        android:text="设置"
                        android:textColor="@color/primary_text"
                        android:textSize="@dimen/sp_16" />

                    <ImageView
                        android:layout_width="30dp"
                        android:layout_height="30dp"
                        android:layout_alignParentRight="true"
                        android:layout_centerVertical="true"
                        android:layout_marginRight="@dimen/dp_14"
                        android:padding="@dimen/dp_6"
                        android:src="@drawable/ic_arrow_right" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:layout_alignLeft="@id/tv_title1"
                        android:layout_alignParentBottom="true"
                        android:background="@color/color_page_bg" />

                </RelativeLayout >

            </LinearLayout >

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginBottom="@dimen/dp_10"
                android:text="@string/copy_right"
                android:textColor="@color/text_hint"
                android:textSize="@dimen/sp_12"

                />
        </LinearLayout >

    </LinearLayout >
</layout >
